Lookup a vehicle by its number

Purpose: Use this API to search for a vehicle using its number that is assigned in the Motive system. The endpoint will fetch details of that particular vehicle such as:

  • status
  • license number
  • make
  • fuel type used
  • vehicle gateway details (if assigned)
  • driver details

Response Parameters

vehicle

  • Type: Object
  • Description: Contains the details of the vehicle.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle.

company_id

  • Type: Integer
  • Description: The unique identifier for the company associated with the vehicle.

number

  • Type: String
  • Description: The name or number of the vehicle.

status

  • Type: String
  • Description: The current status of the vehicle (e.g., active).

ifta

  • Type: Boolean
  • Description: Indicates whether the vehicle is subject to IFTA (International Fuel Tax Agreement).

vin

  • Type: String
  • Description: The Vehicle Identification Number.

make

  • Type: String
  • Description: The make of the vehicle.

model

  • Type: String
  • Description: The model of the vehicle.

year

  • Type: String
  • Description: The year of manufacture of the vehicle.

license_plate_state

  • Type: String
  • Description: The state where the vehicle's license plate is registered.

license_plate_number

  • Type: String
  • Description: The license plate number of the vehicle.

metric_units

  • Type: Boolean
  • Description: Indicates whether the vehicle uses metric units.

fuel_type

  • Type: String
  • Description: The type of fuel used by the vehicle (e.g., diesel).

prevent_auto_odometer_entry

  • Type: Boolean
  • Description: Indicates whether automatic odometer entries are prevented.

created_at

  • Type: String (DateTime)
  • Description: The timestamp when the vehicle was created.

updated_at

  • Type: String (DateTime)
  • Description: The timestamp when the vehicle details were last updated.

eld_device

  • Type: Object
  • Description: Contains details about the vehicle gateway associated with the vehicle.

id

  • Type: Integer
  • Description: The unique identifier for the vehicle gateway.

identifier

  • Type: String
  • Description: The identifier of the vehicle gateway.

model

  • Type: String
  • Description: The model of the vehicle gateway.

current_driver

  • Type: Object
  • Description: Contains details about the current driver of the vehicle.

id

  • Type: Integer
  • Description: The unique identifier for the driver.

first_name

  • Type: String
  • Description: The first name of the driver.

last_name

  • Type: String
  • Description: The last name of the driver.

username

  • Type: String
  • Description: The username of the driver.

email

  • Type: String
  • Description: The email address of the driver (if available).

driver_company_id

  • Type: Integer
  • Description: The unique identifier for the company associated with the driver (if available).

status

  • Type: String
  • Description: The current status of the driver (e.g., active).

role

  • Type: String
  • Description: The role of the current user. (e.g., driver).

external_ids

  • Type: Array
  • Description: An array of external identifiers associated with the vehicle.

carb_ctc_test_enabled

  • Type: String
  • Description: Indicates whether CARB Clean Truck Check (CTC) testing is enabled for the vehicle.

carb_ctc_emission_status

  • Type: String
  • Description: Represents the vehicle’s CARB Clean Truck Check emission compliance status.

registration_expiry_date

  • Type: String (Date) or null
  • Description: The vehicle’s registration expiration date in YYYY-MM-DD format. Returns null if the registration date is not available.

availability_details

  • Type: Object
  • Description: Contains the availability details object. This object denotes the availability of the vehicle for a dispatch.

availability_status

  • Type: String
  • Description: Denotes the availability status of the vehicle. Allowed values are “out_of_service” or “in_service”.

out_of_service_reason

  • Type: String
  • Description: Denotes the reason for the vehicle being out of service.

updated_at

  • Type: DateTime
  • Description: Denotes the date and time when the availability status of the vehicle was updated.

additional_note

  • Type: String
  • Description: Denotes any comments or notes added for updating the availability of the vehicle. For example, “This vehicle is scheduled for maintenance.”

custom_driver_app_warning_prompt

  • Type: String
  • Description: This denotes the prompt message that drivers see on their driver_app. This prompt can be used to inform the driver about the status of the vehicle or communicate any specific instructions. For example, “Vehicle is under maintenance, do not operate.”

updated_by_user

  • Type: Object
  • Description: Object containing the details of the user who updated the availability status of the vehicle.

id

  • Type: Int
  • Description: The ID of the user who updated the availability status of the vehicle.

first_name

  • Type: String
  • Description: First name of the user who updated the status of the vehicle.

last_name

  • Type: String
  • Description: Last name of the user who updated the status of the vehicle.

user_name

  • Type: String
  • Description: Motive username of the person who updated the status.

email

  • Type: String
  • Description: Email address of the user.

company_reference_id

  • Type: Int
  • Description: The company ID of the user as per the internal company records.

status

  • Type: String
  • Description: The status of the user who updated the availability of the vehicle.

role

  • Type: String
  • Description: The role of the user who updated the availability status of the vehicle.

Query Params
string
required

Specify the Motive assigned number of the vehicle that you want to see the information of.

Headers
string

X-Time-Zone

boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json